/* Buttons */
.button {
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
}

/* Forms */
.form-ms {
    margin-right: auto;
    margin-left: auto;
    padding: 15px 3px;
}

.form-ms .form-ms {
    padding: 0;
}

.form-ms .form-ms__row {
    display: flex;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
}

.form-ms .form-ms__row--bottom {
    align-items: flex-end
}

.form-ms .form-ms__box {
    /*background-color: #f6f7f7;*/
    /*padding: 15px;*/
    /*border-radius: 4px;*/
    /*margin: 0 0 20px;*/
    /*box-sizing: border-box;*/
}

.form-ms .form-ms__row .form-ms__field {
    position: relative;
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-bottom: 15px;
    flex: 1;
}

.form-ms .form-ms__row .form-ms__field--add,
.form-ms .form-ms__row .form-ms__field--remove {
    flex: 0 0 52px;
}

/*.form-ms .form-ms__row:last-of-type .form-ms__field {*/
/*    margin-bottom: 0;*/
/*}*/

.form-ms .form-ms__row .form-ms__field label,
.form-ms label {
    font-weight: 600;
    margin-bottom: 8px;
    display: inline-block;
}


.form-ms .form-ms__row .form-ms__field input[type="color"],
.form-ms .form-ms__row .form-ms__field input[type="date"],
.form-ms .form-ms__row .form-ms__field input[type="datetime-local"],
.form-ms .form-ms__row .form-ms__field input[type="datetime"],
.form-ms .form-ms__row .form-ms__field input[type="email"],
.form-ms .form-ms__row .form-ms__field input[type="month"],
.form-ms .form-ms__row .form-ms__field input[type="number"],
.form-ms .form-ms__row .form-ms__field input[type="password"],
.form-ms .form-ms__row .form-ms__field input[type="search"],
.form-ms .form-ms__row .form-ms__field input[type="tel"],
.form-ms .form-ms__row .form-ms__field input[type="text"],
.form-ms .form-ms__row .form-ms__field input[type="time"],
.form-ms .form-ms__row .form-ms__field input[type="url"],
.form-ms .form-ms__row .form-ms__field input[type="week"],
.form-ms .form-ms__row .form-ms__field select,
.form-ms .form-ms__row .form-ms__field textarea {
    width: 100%;
    max-width: none;
}

.form-ms .form-ms__row .form-ms__field textarea {
    width: 100% !important;
}

.form-ms .form-ms-header-label {
    position: relative;
    text-align: center;
    font-size: 16px;
    line-height: 26px;
    display: block;
    text-transform: uppercase;
    background: #2271b1;
    padding: 4px 15px;
    color: #fff;
    font-weight: 600;
    border-radius: 5px;
    margin-bottom: 15px;
    user-select: none;
    cursor: pointer;
}

.form-ms .form-ms-header-label-sub {
    position: relative;
    text-align: center;
    font-size: 16px;
    line-height: 26px;
    display: block;
    text-transform: uppercase;
    background: #a5a5a5;
    padding: 4px 15px;
    color: #fff;
    font-weight: 600;
    border-radius: 5px;
    margin-bottom: 15px;
    user-select: none;
    cursor: pointer;
}

.form-ms .form-ms-header-label-sub .form-ms__collapse-btn {
    background: #7b7b7b;
}

.form-ms__group {
    /*margin: 20px;*/
    border: 1px #c3c4c7 solid;
    border-radius: 5px;
    padding: 10px;
    background: rgba(0, 0, 0, .02);
    margin: 15px 0;
    /*padding: 15px;*/
}

.form-ms__collapse-btn {
    position: absolute;
    width: 34px;
    height: 34px;
    border-radius: 0 5px 5px 0;
    top: 0;
    right: 0;
    display: inline-flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    cursor: pointer;
    background-color: #004379;
}

.form-ms__collapse-btn::before {
    font: normal 20px/1 dashicons;
    content: "\f347";
    display: inline-block;
}

.form-ms__collapse-btn.is-active::before {
    content: "\f343";
}

.mb-0 {
    margin-bottom: 0 !important;
}

.mt-0 {
    margin-top: 0 !important;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}
